From: "Darrick J. Wong" <djwong@kernel.org>
To: djwong@kernel.org, guaneryu@gmail.com
Cc: Chandan Babu R <chandanrlinux@gmail.com>,
Allison Henderson <allison.henderson@oracle.com>,
Christoph Hellwig <hch@lst.de>,
linux-xfs@vger.kernel.org, fstests@vger.kernel.org, guan@eryu.me,
amir73il@gmail.com, ebiggers@kernel.org
Subject: [PATCH 02/13] misc: move exit status into trap handler
Date: Mon, 21 Jun 2021 16:10:17 -0700 [thread overview]
Message-ID: <162431701767.4090790.11477157994058494766.stgit@locust> (raw)
In-Reply-To: <162431700639.4090790.11684371602638166127.stgit@locust>
From: Darrick J. Wong <djwong@kernel.org>
Move the "exit $status" clause of the _cleanup function into the
argument to the "trap" command so that we can standardize the
registration of the atexit cleanup code in the next few patches.
Signed-off-by: Darrick J. Wong <djwong@kernel.org>
Reviewed-by: Chandan Babu R <chandanrlinux@gmail.com>
Reviewed-by: Allison Henderson <allison.henderson@oracle.com>
Reviewed-by: Christoph Hellwig <hch@lst.de>
---
tests/generic/068 | 3 +--
tests/xfs/004 | 3 +--
2 files changed, 2 insertions(+), 4 deletions(-)
diff --git a/tests/generic/068 b/tests/generic/068
index 932a8560..573fbd45 100755
--- a/tests/generic/068
+++ b/tests/generic/068
@@ -22,10 +22,9 @@ _cleanup()
cd /
trap 0 1 2 3 15
- exit $status
}
-trap "_cleanup" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
# get standard environment, filters and checks
. ./common/rc
diff --git a/tests/xfs/004 b/tests/xfs/004
index d3fb9c95..4d92a08e 100755
--- a/tests/xfs/004
+++ b/tests/xfs/004
@@ -18,9 +18,8 @@ _cleanup()
{
_scratch_unmount
rm -f $tmp.*
- exit $status
}
-trap "_cleanup" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
_populate_scratch()
{
next prev parent reply other threads:[~2021-06-21 23:10 UTC|newest]
Thread overview: 19+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-21 23:10 [PATCHSET v3 00/13] fstests: move test group lists into test files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 01/13] fstests: fix group check in new script Darrick J. Wong
2021-06-21 23:10 ` Darrick J. Wong [this message]
2021-06-21 23:10 ` [PATCH 03/13] fstests: refactor test boilerplate code Darrick J. Wong
2021-06-21 23:10 ` [PATCH 04/13] fstests: add tool migrate group membership data to test files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 05/13] fstests: clean up open-coded golden output Darrick J. Wong
2021-06-21 23:10 ` [PATCH 06/13] fstests: move test group info to test files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 07/13] fstests: automatically generate group files Darrick J. Wong
2021-06-21 23:10 ` [PATCH 08/13] fstests: convert nextid to use automatic group generation Darrick J. Wong
2021-06-21 23:10 ` [PATCH 09/13] fstests: adapt the new test script to our new group tagging scheme Darrick J. Wong
2021-06-21 23:11 ` [PATCH 10/13] check: use generated group files Darrick J. Wong
2021-06-21 23:11 ` [PATCH 11/13] fstests: remove " Darrick J. Wong
2021-06-21 23:11 ` [PATCH 12/13] fstests: remove test group management code Darrick J. Wong
2021-06-21 23:11 ` [PATCH 13/13] misc: update documentation to reflect auto-generated group files Darrick J. Wong
-- strict thread matches above, loose matches on Subject: below --
2021-06-14 20:58 [PATCHSET v2 00/13] fstests: move test group lists into test files Darrick J. Wong
2021-06-14 20:59 ` [PATCH 02/13] misc: move exit status into trap handler Darrick J. Wong
2021-06-16 5:41 ` Christoph Hellwig
2021-06-08 17:19 [PATCHSET v1 00/13] fstests: move test group lists into test files Darrick J. Wong
2021-06-08 17:19 ` [PATCH 02/13] misc: move exit status into trap handler Darrick J. Wong
2021-06-10 8:43 ` Chandan Babu R
2021-06-11 21:55 ` Allison Henderson
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=162431701767.4090790.11477157994058494766.stgit@locust \
--to=djwong@kernel.org \
--cc=allison.henderson@oracle.com \
--cc=amir73il@gmail.com \
--cc=chandanrlinux@gmail.com \
--cc=ebiggers@kernel.org \
--cc=fstests@vger.kernel.org \
--cc=guan@eryu.me \
--cc=guaneryu@gmail.com \
--cc=hch@lst.de \
--cc=linux-xfs@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox